%define name    klineakconfig
%define version 0.8
%define release 0.beta2.1mdk

Summary:	KDE Tools to configure lineakd
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Hardware
URL:		http://lineak.sourceforge.net/
Source0:	%{name}-%{version}-beta2.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	lineakd
BuildRequires:	libqt-devel kdelibs-devel libgamin-devel libart_lgpl-devel libpng-devel libjpeg-devel
# configure script try to find lineakbd.def, so lineakd is required
# otherwise copy this file in /etc and comment the following line
BuildRequires: lineakd
BuildRequires: liblineakd-devel
%description
Klineakconfig is a tool to configure the lineakd daemon.
Lineakd controls the multimedia keys on modern keyboards
and is provided by another package (lineakd).

%prep

%setup -q -n %name-%{version}-beta2

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure 	%_target_platform \
		--prefix=%{_prefix} \
		--exec-prefix=%{_prefix} \
		--bindir=%{_bindir} \
		--sbindir=%{_sbindir} \
		--sysconfdir=%{_sysconfdir} \
		--datadir=%{_datadir} \
		--includedir=%{_includedir} \
		--libdir=%{_libdir} \
		--libexecdir=%{_libexecdir}\
		--localstatedir=%{_localstatedir} \
		--sharedstatedir=%{_sharedstatedir} \
		--mandir=%{_mandir} \
		--infodir=%{_infodir} \
		--disable-rpath \
		--disable-debug \
		--with-xinerama \
                --with-lineak-plugindir=%_libdir/lineakd/plugins
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %name

mv $RPM_BUILD_ROOT%_bindir/%{_target_cpu}-mandriva-linux-gnu-klineakconfig  $RPM_BUILD_ROOT%_bindir/%name

# icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
cd $RPM_BUILD_ROOT%{_miconsdir}
ln -sf ../hicolor/16x16/apps/%{name}.png %{name}.png
cd $RPM_BUILD_ROOT%{_iconsdir}
ln -sf hicolor/32x32/apps/%{name}.png %{name}.png
cd $RPM_BUILD_ROOT%{_liconsdir}
ln -sf ../hicolor/32x32/apps/%{name}.png %{name}.png 

rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk/

#Relativisation of symlink, rpm fails to do it
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common

# Menu
cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="Klineakconfig"\
longtitle="Tools to configure modern keyboard with lineakd"\
needs="x11"\
icon="%{name}.png"\
section="System/Configuration/Hardware"
EOF

%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/apps/%{name}/pics/*.xpm
%{_datadir}/doc/HTML/en/%{name}/*
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/klineakconfig.png
%{_iconsdir}/hicolor/32x32/apps/klineakconfig.png
%{_iconsdir}/locolor/16x16/apps/klineakconfig.png
%{_iconsdir}/locolor/32x32/apps/klineakconfig.png

%changelog
* Tue May 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-0.beta2.1mdk
- 0.8-0-beta2
- Fix build for amd64

* Sun Jan 16 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8-0.beta1.3mdk
- buildrequires on liblineakd-devel (thx erinmargault)

* Thu Jan 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8-0.beta1.2mdk
- buildrequires on libgamin-devel 

* Thu Jan 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8-0.beta1.1mdk
- 0.8
- add lang file

* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-2mdk
- rebuild

* Tue Aug 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- from Frederic Guardia <frederic.guardia@wanadoo.fr> :
	- first spec file
